Bug 835667 - Help for some of the repo create options with true/false value doesnot say what the default is while others do.
Help for some of the repo create options with true/false value doesnot say w...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: documentation (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 14:55 EDT by Preethi Thomas
Modified: 2013-01-09 12:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:09:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-06-26 14:55:11 EDT
Description of problem:
Help for some  of the repo create options with true/false value doesnot say what the default is while others do.
Example for not specifying

                  
  --auto-publish - if "true", on each successful sync the repository will
                   automatically be published on the configured protocols; if
                   "false" synchronized content will only be available after
                   manually publishing the repository

Synchronization
  --only-newest     - if "true", only the newest version of a given package is
                      downloaded


Examples for ones that specify default

 --verify-size     - if "true", the size of each synchronized file will be
                      verified against the repo metadata; defaults to false
  --verify-checksum - if "true", the checksum of each synchronized file will be
                      verified against the repo metadata; defaults to false

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2012-06-27 14:56:56 EDT
commit 222fa18ca9df34ac1e9d96d42c6cbe65958a1661
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Wed Jun 27 14:54:53 2012 -0400

    835667 - Fix all help text for boolean attributes to indicate default

rpm-support/extensions/admin/rpm_repo/pulp_cli.py
Comment 2 Jay Dobies 2012-06-29 15:06:43 EDT
In release 0.309
Comment 3 Preethi Thomas 2012-07-10 12:11:17 EDT
fails_qa

[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.310-1.el6.noarch


still doesn't have a default value for the following

--auto-publish - if "true", on each successful sync the repository will
                   automatically be published on the configured protocols; if
                   "false" synchronized content will only be available after
                   manually publishing the repository
Comment 4 Jay Dobies 2012-07-10 12:44:43 EDT
commit 9991a7779eaec534b136a32e778428c178cd5c7b
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Tue Jul 10 12:44:11 2012 -0400

    835667 - Added default for auto-publish

rpm-support/extensions/admin/rpm_repo/pulp_cli.py
Comment 5 Jay Dobies 2012-07-10 12:45:30 EDT
Note that the above commit was made after the .312 tag and won't be included into build .313 or later.
Comment 6 Jeff Ortel 2012-07-12 17:51:30 EDT
build: 0.313
Comment 7 Preethi Thomas 2012-07-26 11:32:23 EDT
verified
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.318-1.el6.noarch
Comment 8 Preethi Thomas 2013-01-09 12:09:14 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.